import React, { useState, useEffect } from 'react';
import {FormComponent} from '@formbird/types';
import { convertToCustomElement } from '../utils/CustomElementWrapper';

const ReSimpleLabelComponent = ({
  document,
  fieldValue,
  template,
  fieldName,
  formParameters,
  key,
  responsiveLayouts,
  message,
  componentDefinition
}) => {

  const [value, setValue] = useState();

  useEffect(() => {
    if (fieldValue) {
      setValue(fieldValue);
    } else if (componentDefinition.defaultValue) {
      setValue(componentDefinition.defaultValue);
    }
  }, []);

  return (
    <div className='well well-sm' style={{fontWeight:'normal', background:'#1E90FF', color:'white'}}>{componentDefinition.label}</div>
  );
};

// register the component as a custom element so it can be shown in formbird
convertToCustomElement('re-simple-label', ReSimpleLabelComponent);

export default ReSimpleLabelComponent;
